# Uses of Interface
org.eclipse.birt.chart.model.attribute.Rotation3D

Packages that use Rotation3D
Package
Description
org.eclipse.birt.chart.computation
This is a placeholder file for the org.eclipse.birt.chart.computation package.
org.eclipse.birt.chart.model
Contains the chart model interfaces that define the starting point for creating a new chart.
org.eclipse.birt.chart.model.attribute
Contains attribute interface definitions (for fonts, fills, lines, etc) for all chart components that may be customized via appropriate accessor methods.
org.eclipse.birt.chart.model.attribute.impl
Contains attribute core class implementations (for fonts, fills, lines, etc) for all chart components that may be customized via appropriate accessor methods.
org.eclipse.birt.chart.model.impl
Represents the chart model implementation classes that define the starting point for creating a new chart.

## Uses of Rotation3D in org.eclipse.birt.chart.computation

Constructors in org.eclipse.birt.chart.computation with parameters of type Rotation3D
Modifier
Constructor
Description
``
`Engine3D(Rotation3D rotation, Vector lightDirection, double viewerWidth, double viewerHeight)`
``
`Engine3D(Rotation3D rotation, Vector lightDirection, double viewerWidth, double viewerHeight, double viewingDistance, double modelingDistance, double hitherDistance, double yonDistance, double perspectiveDistance)`

## Uses of Rotation3D in org.eclipse.birt.chart.model

Methods in org.eclipse.birt.chart.model that return Rotation3D
Modifier and Type
Method
Description
`Rotation3D`
ChartWithAxes.`getRotation()`
Returns the value of the 'Rotation' containment reference.
Methods in org.eclipse.birt.chart.model with parameters of type Rotation3D
Modifier and Type
Method
Description
`void`
ChartWithAxes.`setRotation(Rotation3D value)`
Sets the value of the '`Rotation`' containment reference.

## Uses of Rotation3D in org.eclipse.birt.chart.model.attribute

Methods in org.eclipse.birt.chart.model.attribute that return Rotation3D
Modifier and Type
Method
Description
`Rotation3D`
Rotation3D.`copyInstance()`
`Rotation3D`
AttributeFactory.`createRotation3D()`
Returns a new object of class 'Rotation3 D'.

## Uses of Rotation3D in org.eclipse.birt.chart.model.attribute.impl

Classes in org.eclipse.birt.chart.model.attribute.impl that implement Rotation3D
Modifier and Type
Class
Description
`class`
`Rotation3DImpl`
An implementation of the model object 'Rotation3 D'.
Methods in org.eclipse.birt.chart.model.attribute.impl that return Rotation3D
Modifier and Type
Method
Description
`Rotation3D`
Rotation3DImpl.`copyInstance()`
`static Rotation3D`
Rotation3DImpl.`create()`
Creates an empty Roatation3D object.
`static Rotation3D`
Rotation3DImpl.`create(Angle3D[] ala)`
Creates a Rotation3D object using given Angle3D array.
`static Rotation3D`
Rotation3DImpl.`createDefault()`
Creates an empty Roatation3D object.
`static Rotation3D`
Rotation3DImpl.`createDefault(Angle3D[] ala)`
Creates a Rotation3D object using given Angle3D array.
`Rotation3D`
AttributeFactoryImpl.`createRotation3D()`

## Uses of Rotation3D in org.eclipse.birt.chart.model.impl

Methods in org.eclipse.birt.chart.model.impl that return Rotation3D
Modifier and Type
Method
Description
`Rotation3D`
ChartWithAxesImpl.`getRotation()`
Methods in org.eclipse.birt.chart.model.impl with parameters of type Rotation3D
Modifier and Type
Method
Description
`org.eclipse.emf.common.notify.NotificationChain`
ChartWithAxesImpl.`basicSetRotation(Rotation3D newRotation, org.eclipse.emf.common.notify.NotificationChain msgs)`
`void`
ChartWithAxesImpl.`setRotation(Rotation3D newRotation)`